LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
LinkBack Search this Thread
Old 10-24-2008, 12:22 AM   #1
rangertang
LQ Newbie
 
Registered: Aug 2008
Posts: 27

Rep: Reputation: 15
How to install gtk-qt-engine-1.1 in KDE 4.1.2?


Is there anybody has installed gtk-qt-engine-1.1 in KDE 4.1.2 successfully?
I tried both compiling with source code downloaded from official website and installing with slackbuilds(of course i modified something to fit the new version). But both failed with the same compile errors.

The error message is:

[ 12%] Building C object src/CMakeFiles/qt4engine.dir/qt_theme_draw.o
/usr/src/gtk-qt-engine/src/qt_theme_draw.c: In function ‘get_shadowType’:
/usr/src/gtk-qt-engine/src/qt_theme_draw.c:64: warning: unused parameter ‘style’
/usr/src/gtk-qt-engine/src/qt_theme_draw.c: In function ‘draw_hline’:
/usr/src/gtk-qt-engine/src/qt_theme_draw.c:119: error: implicit declaration of function ‘abs’
/usr/src/gtk-qt-engine/src/qt_theme_draw.c:111: warning: unused parameter ‘area’
......(blablabla, a lot of warnings)
/usr/src/gtk-qt-engine/src/qt_theme_draw.c: In function ‘set_background’:
/usr/src/gtk-qt-engine/src/qt_theme_draw.c:1631: warning: dereferencing type-punned pointer will break strict-aliasing rules
make[2]: *** [src/CMakeFiles/qt4engine.dir/qt_theme_draw.o] Error 1
make[1]: *** [src/CMakeFiles/qt4engine.dir/all] Error 2
make: *** [all] Error 2

Anyone has any solution? Thanks!

BTW, I have upgraded to current(l directory).
 
Old 10-24-2008, 02:14 AM   #2
David the H.
Bash Guru
 
Registered: Jun 2004
Location: Osaka, Japan
Distribution: Debian sid + kde 3.5 & 4.4
Posts: 6,823

Rep: Reputation: 1946Reputation: 1946Reputation: 1946Reputation: 1946Reputation: 1946Reputation: 1946Reputation: 1946Reputation: 1946Reputation: 1946Reputation: 1946Reputation: 1946
Is the engine even compatible with kde4? It's my impression that it's a kde3 theming engine.

Last edited by David the H.; 10-24-2008 at 02:17 AM.
 
Old 10-24-2008, 02:54 AM   #3
rangertang
LQ Newbie
 
Registered: Aug 2008
Posts: 27

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by David the H. View Post
Is the engine even compatible with kde4? It's my impression that it's a kde3 theming engine.
I read the CHANGELOGS, and it says:

Changes in version 1.1

New features and general improvements:
Renamed the Qt4 version to be different from the old Qt3 version so that both can be installed at the same time.

Changes in version 1.0

New features and general improvements:
Ported the theme engine to Qt4. The Qt3 version will no longer be developed, but can still be downloaded in the "Older versions" section.
i18n:
Updated .pot file
Czech translation by David Watzke
Italian translation by Davide Madrisan

So I think it's compatible with KDE 4, or at least it should be...
 
Old 10-27-2008, 08:06 PM   #4
rangertang
LQ Newbie
 
Registered: Aug 2008
Posts: 27

Original Poster
Rep: Reputation: 15
OK, now I know how to install...

The primary problem is about bonobo, which means you have to get libbonobo and libbonoboui. Of course you have to install a lot of other packages before you can get libbonobo and libbonoboui to work.

BTW, there are still some bugs with gtk-qt-engine-1.1 (in KDE 4.1.2). Such as FireFox-3.0.3 will not display properly, specially when you opened more than two tabs, the same prolem is with scroll bar too.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
gtk-qt-engine causes white border on gtk tray icons tdtooke Linux - Desktop 0 08-08-2008 12:25 PM
KDE Theme similar to "Smooth" GTK Engine mgmax Linux - Desktop 1 08-13-2007 02:40 AM
a little problem about gtk-qt engine tony yu Mandriva 1 05-25-2006 06:37 PM
gtk-qt-engine tony yu Debian 5 03-27-2006 02:28 AM
The GTK-Qt Theme Engine elluva Linux - Software 0 10-10-2005 03:59 PM


All times are GMT -5. The time now is 10:53 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration